Bug 1389863 - postfix service fails to start, unable to access /dev/null
Summary: postfix service fails to start, unable to access /dev/null
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 25
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-29 03:02 UTC by Dennis Gilmore
Modified: 2017-12-24 11:15 UTC (History)
12 users (show)

Fixed In Version: selinux-policy-3.13.1-225.20.fc25 selinux-policy-3.13.1-225.22.fc25 selinux-policy-3.13.1-225.23.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-01 16:39:31 UTC
Type: Bug


Attachments (Terms of Use)

Description Dennis Gilmore 2016-10-29 03:02:23 UTC
Description of problem:
[root@kasuf ~]# systemctl status postfix
● postfix.service - Postfix Mail Transport Agent
   Loaded: loaded (/usr/lib/systemd/system/postfix.service; enabled; vendor preset: disabled)
   Active: failed (Result: exit-code) since Sat 2016-10-29 03:00:16 UTC; 8s ago
  Process: 17846 ExecStart=/usr/sbin/postfix start (code=exited, status=1/FAILURE)
  Process: 17842 ExecStartPre=/usr/libexec/postfix/chroot-update (code=exited, status=0/SUCCESS)
  Process: 17838 ExecStartPre=/usr/libexec/postfix/aliasesdb (code=exited, status=0/SUCCESS)

Oct 29 03:00:14 kasuf.ausil.us systemd[1]: Starting Postfix Mail Transport Agent...
Oct 29 03:00:15 kasuf.ausil.us postfix[17846]: /usr/libexec/postfix/postfix-script: line 122: /dev/null: Permission denied
Oct 29 03:00:16 kasuf.ausil.us systemd[1]: postfix.service: Control process exited, code=exited status=1
Oct 29 03:00:16 kasuf.ausil.us systemd[1]: Failed to start Postfix Mail Transport Agent.
Oct 29 03:00:16 kasuf.ausil.us systemd[1]: postfix.service: Unit entered failed state.
Oct 29 03:00:16 kasuf.ausil.us systemd[1]: postfix.service: Failed with result 'exit-code'.
[root@kasuf ~]# rpm -q postfix selinux-policy-targeted
postfix-3.1.3-1.fc25.armv7hl
selinux-policy-targeted-3.13.1-220.fc25.noarch


if I put selinux in permissive mode postfix is able to start

line 122 of /usr/libexec/postfix/postfix-script is
        $daemon_directory/master -t 2>/dev/null || {
                $FATAL the Postfix mail system is already running
                exit 1
        }

Comment 1 Lukas Vrabec 2016-10-31 21:47:36 UTC
Hi, 
Please reproduce the issue and then attach output of:
#ausearch -m USER_AVC,AVC -ts recent

Comment 2 Dennis Gilmore 2016-11-01 03:31:13 UTC
[root@baal ~]# systemctl restart postfix
Job for postfix.service failed because the control process exited with error code.
See "systemctl status postfix.service" and "journalctl -xe" for details.
[root@baal ~]# ausearch -m USER_AVC,AVC -ts recent
----
time->Tue Nov  1 03:29:43 2016
type=AVC msg=audit(1477970983.035:579769): avc:  denied  { search } for  pid=14857 comm="postfix" name="dev" dev="sda3" ino=6291552 scontext=system_u:system_r:postfix_master_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=dir permissive=0
----
time->Tue Nov  1 03:29:43 2016
type=AVC msg=audit(1477970983.040:579770): avc:  denied  { search } for  pid=14857 comm="postfix" name="dev" dev="sda3" ino=6291552 scontext=system_u:system_r:postfix_master_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=dir permissive=0
----
time->Tue Nov  1 03:29:43 2016
type=AVC msg=audit(1477970983.040:579771): avc:  denied  { search } for  pid=14857 comm="postfix" name="dev" dev="sda3" ino=6291552 scontext=system_u:system_r:postfix_master_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=dir permissive=0
----
time->Tue Nov  1 03:29:43 2016
type=AVC msg=audit(1477970983.040:579772): avc:  denied  { search } for  pid=14857 comm="postfix" name="dev" dev="sda3" ino=6291552 scontext=system_u:system_r:postfix_master_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=dir permissive=0
----
time->Tue Nov  1 03:29:43 2016
type=AVC msg=audit(1477970983.045:579773): avc:  denied  { search } for  pid=14857 comm="postfix-script" name="dev" dev="sda3" ino=6291552 scontext=system_u:system_r:postfix_master_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=dir permissive=0
----
time->Tue Nov  1 03:29:43 2016
type=AVC msg=audit(1477970983.110:579774): avc:  denied  { search } for  pid=14862 comm="postfix-script" name="dev" dev="sda3" ino=6291552 scontext=system_u:system_r:postfix_master_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=dir permissive=0
----
time->Tue Nov  1 03:29:43 2016
type=AVC msg=audit(1477970983.110:579775): avc:  denied  { search } for  pid=14862 comm="postfix-script" name="dev" dev="sda3" ino=6291552 scontext=system_u:system_r:postfix_master_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=dir permissive=0
----
time->Tue Nov  1 03:29:43 2016
type=AVC msg=audit(1477970983.130:579776): avc:  denied  { search } for  pid=14863 comm="postlog" name="dev" dev="sda3" ino=6291552 scontext=system_u:system_r:postfix_master_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=dir permissive=0
----
time->Tue Nov  1 03:29:43 2016
type=AVC msg=audit(1477970983.135:579777): avc:  denied  { search } for  pid=14863 comm="postlog" name="dev" dev="sda3" ino=6291552 scontext=system_u:system_r:postfix_master_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=dir permissive=0
----
time->Tue Nov  1 03:29:43 2016
type=AVC msg=audit(1477970983.135:579778): avc:  denied  { search } for  pid=14863 comm="postlog" name="dev" dev="sda3" ino=6291552 scontext=system_u:system_r:postfix_master_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=dir permissive=0
----
time->Tue Nov  1 03:29:43 2016
type=AVC msg=audit(1477970983.165:579779): avc:  denied  { search } for  pid=14865 comm="master" name="dev" dev="sda3" ino=6291552 scontext=system_u:system_r:postfix_master_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=dir permissive=0                                                                          
----                                                                                                                                                                                                                                                                                                                         
time->Tue Nov  1 03:29:43 2016                                                                                                                                                                                                                                                                                               
type=AVC msg=audit(1477970983.165:579780): avc:  denied  { search } for  pid=14865 comm="master" name="dev" dev="sda3" ino=6291552 scontext=system_u:system_r:postfix_master_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=dir permissive=0                                                                          
----                                                                                                                                                                                                                                                                                                                         
time->Tue Nov  1 03:29:43 2016                                                                                                                                                                                                                                                                                               
type=AVC msg=audit(1477970983.165:579781): avc:  denied  { search } for  pid=14865 comm="master" name="dev" dev="sda3" ino=6291552 scontext=system_u:system_r:postfix_master_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=dir permissive=0                                                                          
----                                                                                                                                                                                                                                                                                                                         
time->Tue Nov  1 03:29:44 2016                                                                                                                                                                                                                                                                                               
type=AVC msg=audit(1477970984.185:579782): avc:  denied  { search } for  pid=14866 comm="postlog" name="dev" dev="sda3" ino=6291552 scontext=system_u:system_r:postfix_master_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=dir permissive=0                                                                         
----                                                                                                                                                                                                                                                                                                                         
time->Tue Nov  1 03:29:44 2016                                                                                                                                                                                                                                                                                               
type=AVC msg=audit(1477970984.190:579783): avc:  denied  { search } for  pid=14866 comm="postlog" name="dev" dev="sda3" ino=6291552 scontext=system_u:system_r:postfix_master_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=dir permissive=0                                                                         
----                                                                                                                                                                                                                                                                                                                         
time->Tue Nov  1 03:29:44 2016                                                                                                                                                                                                                                                                                               
type=AVC msg=audit(1477970984.190:579784): avc:  denied  { search } for  pid=14866 comm="postlog" name="dev" dev="sda3" ino=6291552 scontext=system_u:system_r:postfix_master_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=dir permissive=0                                                                         
----                                                                                                                                                                                                                                                                                                                         
time->Tue Nov  1 03:29:45 2016                                                                                                                                                                                                                                                                                               
type=AVC msg=audit(1477970985.215:579785): avc:  denied  { search } for  pid=14868 comm="master" name="dev" dev="sda3" ino=6291552 scontext=system_u:system_r:postfix_master_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=dir permissive=0                                                                          
----                                                                                                                                                                                                                                                                                                                         
time->Tue Nov  1 03:29:45 2016                                                                                                                                                                                                                                                                                               
type=AVC msg=audit(1477970985.215:579786): avc:  denied  { search } for  pid=14868 comm="master" name="dev" dev="sda3" ino=6291552 scontext=system_u:system_r:postfix_master_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=dir permissive=0                                                                          
----                                                                                                                                                                                                                                                                                                                         
time->Tue Nov  1 03:29:45 2016                                                                                                                                                                                                                                                                                               
type=AVC msg=audit(1477970985.215:579787): avc:  denied  { search } for  pid=14868 comm="master" name="dev" dev="sda3" ino=6291552 scontext=system_u:system_r:postfix_master_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=dir permissive=0                                                                          
----                                                                                                                                                                                                                                                                                                                         
time->Tue Nov  1 03:29:46 2016                                                                                                                                                                                                                                                                                               
type=AVC msg=audit(1477970986.240:579789): avc:  denied  { search } for  pid=14869 comm="postlog" name="dev" dev="sda3" ino=6291552 scontext=system_u:system_r:postfix_master_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=dir permissive=0                                                                         
----                                                                                                                                                                                                                                                                                                                         
time->Tue Nov  1 03:29:46 2016                                                                                                                                                                                                                                                                                               
type=AVC msg=audit(1477970986.240:579790): avc:  denied  { search } for  pid=14869 comm="postlog" name="dev" dev="sda3" ino=6291552 scontext=system_u:system_r:postfix_master_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=dir permissive=0                                                                         
----                                                                                                                                                                                                                                                                                                                         
time->Tue Nov  1 03:29:46 2016                                                                                                                                                                                                                                                                                               
type=AVC msg=audit(1477970986.235:579788): avc:  denied  { search } for  pid=14869 comm="postlog" name="dev" dev="sda3" ino=6291552 scontext=system_u:system_r:postfix_master_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=dir permissive=0                                                                         
----                                                                                                                                                                                                                                                                                                                         
time->Tue Nov  1 03:29:47 2016                                                                                                                                                                                                                                                                                               
type=AVC msg=audit(1477970987.265:579791): avc:  denied  { search } for  pid=14871 comm="master" name="dev" dev="sda3" ino=6291552 scontext=system_u:system_r:postfix_master_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=dir permissive=0                                                                          
----                                                                                                                                                                                                                                                                                                                         
time->Tue Nov  1 03:29:47 2016                                                                                                                                                                                                                                                                                               
type=AVC msg=audit(1477970987.265:579792): avc:  denied  { search } for  pid=14871 comm="master" name="dev" dev="sda3" ino=6291552 scontext=system_u:system_r:postfix_master_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=dir permissive=0                                                                          
----                                                                                                                                                                                                                                                                                                                         
time->Tue Nov  1 03:29:47 2016                                                                                                                                                                                                                                                                                               
type=AVC msg=audit(1477970987.265:579793): avc:  denied  { search } for  pid=14871 comm="master" name="dev" dev="sda3" ino=6291552 scontext=system_u:system_r:postfix_master_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=dir permissive=0                                                                          
----                                                                                                                                                                                                                                                                                                                         
time->Tue Nov  1 03:29:48 2016                                                                                                                                                                                                                                                                                               
type=AVC msg=audit(1477970988.285:579794): avc:  denied  { search } for  pid=14872 comm="postlog" name="dev" dev="sda3" ino=6291552 scontext=system_u:system_r:postfix_master_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=dir permissive=0                                                                         
----                                                                                                                                                                                                                                                                                                                         
time->Tue Nov  1 03:29:48 2016                                                                                                                                                                                                                                                                                               
type=AVC msg=audit(1477970988.290:579795): avc:  denied  { search } for  pid=14872 comm="postlog" name="dev" dev="sda3" ino=6291552 scontext=system_u:system_r:postfix_master_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=dir permissive=0
----
time->Tue Nov  1 03:29:48 2016
type=AVC msg=audit(1477970988.290:579796): avc:  denied  { search } for  pid=14872 comm="postlog" name="dev" dev="sda3" ino=6291552 scontext=system_u:system_r:postfix_master_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=dir permissive=0
----
time->Tue Nov  1 03:29:49 2016
type=AVC msg=audit(1477970989.315:579798): avc:  denied  { search } for  pid=14874 comm="master" name="dev" dev="sda3" ino=6291552 scontext=system_u:system_r:postfix_master_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=dir permissive=0
----
time->Tue Nov  1 03:29:49 2016
type=AVC msg=audit(1477970989.315:579799): avc:  denied  { search } for  pid=14874 comm="master" name="dev" dev="sda3" ino=6291552 scontext=system_u:system_r:postfix_master_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=dir permissive=0
----
time->Tue Nov  1 03:29:49 2016
type=AVC msg=audit(1477970989.315:579797): avc:  denied  { search } for  pid=14874 comm="master" name="dev" dev="sda3" ino=6291552 scontext=system_u:system_r:postfix_master_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=dir permissive=0
----
time->Tue Nov  1 03:29:50 2016
type=AVC msg=audit(1477970990.340:579801): avc:  denied  { search } for  pid=14875 comm="postlog" name="dev" dev="sda3" ino=6291552 scontext=system_u:system_r:postfix_master_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=dir permissive=0
----
time->Tue Nov  1 03:29:50 2016
type=AVC msg=audit(1477970990.340:579802): avc:  denied  { search } for  pid=14875 comm="postlog" name="dev" dev="sda3" ino=6291552 scontext=system_u:system_r:postfix_master_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=dir permissive=0
----
time->Tue Nov  1 03:29:50 2016
type=AVC msg=audit(1477970990.335:579800): avc:  denied  { search } for  pid=14875 comm="postlog" name="dev" dev="sda3" ino=6291552 scontext=system_u:system_r:postfix_master_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=dir permissive=0
----
time->Tue Nov  1 03:29:51 2016
type=AVC msg=audit(1477970991.360:579803): avc:  denied  { search } for  pid=14877 comm="master" name="dev" dev="sda3" ino=6291552 scontext=system_u:system_r:postfix_master_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=dir permissive=0
----
time->Tue Nov  1 03:29:51 2016
type=AVC msg=audit(1477970991.360:579804): avc:  denied  { search } for  pid=14877 comm="master" name="dev" dev="sda3" ino=6291552 scontext=system_u:system_r:postfix_master_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=dir permissive=0
----
time->Tue Nov  1 03:29:51 2016
type=AVC msg=audit(1477970991.360:579805): avc:  denied  { search } for  pid=14877 comm="master" name="dev" dev="sda3" ino=6291552 scontext=system_u:system_r:postfix_master_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=dir permissive=0
----
time->Tue Nov  1 03:29:52 2016
type=AVC msg=audit(1477970992.385:579807): avc:  denied  { search } for  pid=14878 comm="postlog" name="dev" dev="sda3" ino=6291552 scontext=system_u:system_r:postfix_master_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=dir permissive=0
----
time->Tue Nov  1 03:29:52 2016
type=AVC msg=audit(1477970992.385:579808): avc:  denied  { search } for  pid=14878 comm="postlog" name="dev" dev="sda3" ino=6291552 scontext=system_u:system_r:postfix_master_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=dir permissive=0
----
time->Tue Nov  1 03:29:52 2016
type=AVC msg=audit(1477970992.385:579806): avc:  denied  { search } for  pid=14878 comm="postlog" name="dev" dev="sda3" ino=6291552 scontext=system_u:system_r:postfix_master_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=dir permissive=0
----
time->Tue Nov  1 03:29:53 2016
type=AVC msg=audit(1477970993.415:579810): avc:  denied  { search } for  pid=14880 comm="postlog" name="dev" dev="sda3" ino=6291552 scontext=system_u:system_r:postfix_master_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=dir permissive=0
----
time->Tue Nov  1 03:29:53 2016
type=AVC msg=audit(1477970993.415:579811): avc:  denied  { search } for  pid=14880 comm="postlog" name="dev" dev="sda3" ino=6291552 scontext=system_u:system_r:postfix_master_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=dir permissive=0
----
time->Tue Nov  1 03:29:54 2016
type=AVC msg=audit(1477970994.160:579816): avc:  denied  { search } for  pid=14892 comm="postfix" name="dev" dev="sda3" ino=6291552 scontext=system_u:system_r:postfix_master_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=dir permissive=0
----
time->Tue Nov  1 03:29:54 2016
type=AVC msg=audit(1477970994.160:579817): avc:  denied  { search } for  pid=14892 comm="postfix" name="dev" dev="sda3" ino=6291552 scontext=system_u:system_r:postfix_master_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=dir permissive=0
----
time->Tue Nov  1 03:29:54 2016
type=AVC msg=audit(1477970994.160:579818): avc:  denied  { search } for  pid=14892 comm="postfix" name="dev" dev="sda3" ino=6291552 scontext=system_u:system_r:postfix_master_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=dir permissive=0
----
time->Tue Nov  1 03:29:53 2016
type=AVC msg=audit(1477970993.410:579809): avc:  denied  { search } for  pid=14880 comm="postlog" name="dev" dev="sda3" ino=6291552 scontext=system_u:system_r:postfix_master_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=dir permissive=0
----
time->Tue Nov  1 03:29:53 2016
type=AVC msg=audit(1477970993.645:579813): avc:  denied  { read write } for  pid=14887 comm="aliasesdb" name="tty" dev="sda3" ino=6291560 scontext=system_u:system_r:init_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=chr_file permissive=0
----
time->Tue Nov  1 03:29:53 2016
type=AVC msg=audit(1477970993.890:579814): avc:  denied  { read write } for  pid=14891 comm="chroot-update" name="tty" dev="sda3" ino=6291560 scontext=system_u:system_r:init_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=chr_file permissive=0
----
time->Tue Nov  1 03:29:54 2016
type=AVC msg=audit(1477970994.155:579815): avc:  denied  { search } for  pid=14892 comm="postfix" name="dev" dev="sda3" ino=6291552 scontext=system_u:system_r:postfix_master_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=dir permissive=0
----
time->Tue Nov  1 03:29:54 2016
type=AVC msg=audit(1477970994.165:579819): avc:  denied  { search } for  pid=14892 comm="postfix-script" name="dev" dev="sda3" ino=6291552 scontext=system_u:system_r:postfix_master_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=dir permissive=0
----
time->Tue Nov  1 03:29:54 2016
type=AVC msg=audit(1477970994.245:579820): avc:  denied  { search } for  pid=14899 comm="postfix-script" name="dev" dev="sda3" ino=6291552 scontext=system_u:system_r:postfix_master_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=dir permissive=0
----
time->Tue Nov  1 03:29:54 2016
type=AVC msg=audit(1477970994.245:579821): avc:  denied  { search } for  pid=14899 comm="postfix-script" name="dev" dev="sda3" ino=6291552 scontext=system_u:system_r:postfix_master_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=dir permissive=0
----
time->Tue Nov  1 03:29:54 2016
type=AVC msg=audit(1477970994.265:579822): avc:  denied  { search } for  pid=14900 comm="postlog" name="dev" dev="sda3" ino=6291552 scontext=system_u:system_r:postfix_master_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=dir permissive=0
----
time->Tue Nov  1 03:29:54 2016
type=AVC msg=audit(1477970994.270:579823): avc:  denied  { search } for  pid=14900 comm="postlog" name="dev" dev="sda3" ino=6291552 scontext=system_u:system_r:postfix_master_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=dir permissive=0
----
time->Tue Nov  1 03:29:54 2016
type=AVC msg=audit(1477970994.270:579824): avc:  denied  { search } for  pid=14900 comm="postlog" name="dev" dev="sda3" ino=6291552 scontext=system_u:system_r:postfix_master_t:s0 tcontext=system_u:object_r:unlabeled_t:s0 tclass=dir permissive=0
[root@baal ~]#

Comment 3 Lukas Vrabec 2016-11-01 12:26:25 UTC
Hi, 
Your system looks mislabeled. Please run:
# restorecon -Rv / 

To fix labels on your system.

Comment 4 Dennis Gilmore 2016-11-01 15:55:17 UTC
[root@baal ~]# setenforce 0
[root@baal ~]# restorecon -rv /
restorecon:  Warning no default label for /dev/mqueue
restorecon:  Warning no default label for /dev/pts/1
restorecon:  Warning no default label for /dev/pts/0
restorecon:  Warning no default label for /dev/pts/ptmx
restorecon reset /var/cache/dnf/updates-testing-8e8f2cdc6654b283/metalink.xml context unconfined_u:object_r:user_tmp_t:s0->unconfined_u:object_r:rpm_var_cache_t:s0
restorecon reset /var/cache/dnf/updates-testing-8e8f2cdc6654b283/repodata context unconfined_u:object_r:user_tmp_t:s0->unconfined_u:object_r:rpm_var_cache_t:s0
restorecon reset /var/cache/dnf/updates-testing-8e8f2cdc6654b283/repodata/repomd.xml context unconfined_u:object_r:user_tmp_t:s0->unconfined_u:object_r:rpm_var_cache_t:s0
restorecon reset /var/cache/dnf/updates-testing-8e8f2cdc6654b283/repodata/540f4bd757c637550ccef1df84a6b3458409793fea448e9c5af8ba7f10f6613d-filelists.xml.gz context unconfined_u:object_r:user_tmp_t:s0->unconfined_u:object_r:rpm_var_cache_t:s0
restorecon reset /var/cache/dnf/updates-testing-8e8f2cdc6654b283/repodata/cbc463dcc55c9813886380167c07378600868db6fef3e113c7078946f4e55aac-prestodelta.xml.xz context unconfined_u:object_r:user_tmp_t:s0->unconfined_u:object_r:rpm_var_cache_t:s0
restorecon reset /var/cache/dnf/updates-testing-8e8f2cdc6654b283/repodata/c8bbabd5e620f964fd6d92be56bea1a2ae747358eda5fb7df95e4e333a2bc64f-comps-f25.xml.xz context unconfined_u:object_r:user_tmp_t:s0->unconfined_u:object_r:rpm_var_cache_t:s0
restorecon reset /var/cache/dnf/updates-testing-8e8f2cdc6654b283/repodata/2056f53aca317a0686bde33d2e2bb5d7c7ce3e20a37a59b4ab1479cd312b5fb1-primary.xml.gz context unconfined_u:object_r:user_tmp_t:s0->unconfined_u:object_r:rpm_var_cache_t:s0
restorecon reset /var/cache/dnf/updates-testing-8e8f2cdc6654b283/repodata/37f8761e07474f7352ee3b61427d385a0ca3551e4c20bb45aa385c9ed7742a8a-updateinfo.xml.xz context unconfined_u:object_r:user_tmp_t:s0->unconfined_u:object_r:rpm_var_cache_t:s0
restorecon reset /var/cache/dnf/fedora-d1171a1460275b22/metalink.xml context unconfined_u:object_r:user_tmp_t:s0->unconfined_u:object_r:rpm_var_cache_t:s0
restorecon reset /var/cache/dnf/fedora-d1171a1460275b22/repodata context unconfined_u:object_r:user_tmp_t:s0->unconfined_u:object_r:rpm_var_cache_t:s0
restorecon reset /var/cache/dnf/fedora-d1171a1460275b22/repodata/repomd.xml context unconfined_u:object_r:user_tmp_t:s0->unconfined_u:object_r:rpm_var_cache_t:s0
restorecon reset /var/cache/dnf/fedora-d1171a1460275b22/repodata/0e20fc40fb144caf96d2cc928afef79081f75c5233a90e820f06a9ab8682462c-primary.xml.gz context unconfined_u:object_r:user_tmp_t:s0->unconfined_u:object_r:rpm_var_cache_t:s0
restorecon reset /var/cache/dnf/fedora-d1171a1460275b22/repodata/91fdb4f4f6e30da846556a45a9dd34b721777fd3b61a8383908e57be762345fb-filelists.xml.gz context unconfined_u:object_r:user_tmp_t:s0->unconfined_u:object_r:rpm_var_cache_t:s0
restorecon reset /var/cache/dnf/fedora-d1171a1460275b22/repodata/d4a6e5479c3efbc12c7ebc1d9fbc8af1dde1044edbee58d84aa83c57ef7ab2ec-comps-Everything.armhfp.xml.gz context unconfined_u:object_r:user_tmp_t:s0->unconfined_u:object_r:rpm_var_cache_t:s0
restorecon reset /var/cache/dnf/fedora-d1171a1460275b22/repodata/b51c2fc7fff5df988cddc30e2d4bfa3930a26d8729454d48c7e4cb071a6e7853-prestodelta.xml.gz context unconfined_u:object_r:user_tmp_t:s0->unconfined_u:object_r:rpm_var_cache_t:s0
restorecon:  Warning no default label for /var/tmp/systemd-private-d5de54d7c8e148ff8dffc9010a4e4957-httpd.service-csqJa1
restorecon:  Warning no default label for /var/tmp/systemd-private-d5de54d7c8e148ff8dffc9010a4e4957-httpd.service-csqJa1/tmp
restorecon:  Warning no default label for /var/tmp/systemd-private-d5de54d7c8e148ff8dffc9010a4e4957-named.service-CZ4nab
restorecon:  Warning no default label for /var/tmp/systemd-private-d5de54d7c8e148ff8dffc9010a4e4957-named.service-CZ4nab/tmp
restorecon:  Warning no default label for /var/tmp/systemd-private-d5de54d7c8e148ff8dffc9010a4e4957-ntpd.service-w5wkkQ
restorecon:  Warning no default label for /var/tmp/systemd-private-d5de54d7c8e148ff8dffc9010a4e4957-ntpd.service-w5wkkQ/tmp
restorecon:  Warning no default label for /sys/kernel/debug/sunrpc
restorecon:  Warning no default label for /sys/kernel/debug/sunrpc/rpc_xprt
restorecon:  Warning no default label for /sys/kernel/debug/sunrpc/rpc_clnt
restorecon:  Warning no default label for /sys/kernel/debug/sunrpc/inject_fault
restorecon:  Warning no default label for /sys/kernel/debug/sunrpc/inject_fault/disconnect
restorecon:  Warning no default label for /sys/kernel/debug/mmc0
restorecon:  Warning no default label for /sys/kernel/debug/mmc0/mmc0:59b4
restorecon:  Warning no default label for /sys/kernel/debug/mmc0/mmc0:59b4/status
restorecon:  Warning no default label for /sys/kernel/debug/mmc0/mmc0:59b4/state
restorecon:  Warning no default label for /sys/kernel/debug/mmc0/clock
restorecon:  Warning no default label for /sys/kernel/debug/mmc0/ios
restorecon:  Warning no default label for /sys/kernel/debug/clk
restorecon:  Warning no default label for /sys/kernel/debug/clk/tclk
restorecon:  Warning no default label for /sys/kernel/debug/clk/tclk/clk_notifier_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/tclk/clk_enable_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/tclk/clk_prepare_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/tclk/clk_flags
restorecon:  Warning no default label for /sys/kernel/debug/clk/tclk/clk_phase
restorecon:  Warning no default label for /sys/kernel/debug/clk/tclk/clk_accuracy
restorecon:  Warning no default label for /sys/kernel/debug/clk/tclk/clk_rate
restorecon:  Warning no default label for /sys/kernel/debug/clk/cpuclk
restorecon:  Warning no default label for /sys/kernel/debug/clk/cpuclk/clk_notifier_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/cpuclk/clk_enable_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/cpuclk/clk_prepare_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/cpuclk/clk_flags
restorecon:  Warning no default label for /sys/kernel/debug/clk/cpuclk/clk_phase
restorecon:  Warning no default label for /sys/kernel/debug/clk/cpuclk/clk_accuracy
restorecon:  Warning no default label for /sys/kernel/debug/clk/cpuclk/clk_rate
restorecon:  Warning no default label for /sys/kernel/debug/clk/l2clk
restorecon:  Warning no default label for /sys/kernel/debug/clk/l2clk/clk_notifier_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/l2clk/clk_enable_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/l2clk/clk_prepare_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/l2clk/clk_flags
restorecon:  Warning no default label for /sys/kernel/debug/clk/l2clk/clk_phase
restorecon:  Warning no default label for /sys/kernel/debug/clk/l2clk/clk_accuracy
restorecon:  Warning no default label for /sys/kernel/debug/clk/l2clk/clk_rate
restorecon:  Warning no default label for /sys/kernel/debug/clk/ddrclk
restorecon:  Warning no default label for /sys/kernel/debug/clk/ddrclk/clk_notifier_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/ddrclk/clk_enable_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/ddrclk/clk_prepare_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/ddrclk/clk_flags
restorecon:  Warning no default label for /sys/kernel/debug/clk/ddrclk/clk_phase
restorecon:  Warning no default label for /sys/kernel/debug/clk/ddrclk/clk_accuracy
restorecon:  Warning no default label for /sys/kernel/debug/clk/ddrclk/clk_rate
restorecon:  Warning no default label for /sys/kernel/debug/clk/mainpll
restorecon:  Warning no default label for /sys/kernel/debug/clk/mainpll/clk_notifier_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/mainpll/clk_enable_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/mainpll/clk_prepare_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/mainpll/clk_flags
restorecon:  Warning no default label for /sys/kernel/debug/clk/mainpll/clk_phase
restorecon:  Warning no default label for /sys/kernel/debug/clk/mainpll/clk_accuracy
restorecon:  Warning no default label for /sys/kernel/debug/clk/mainpll/clk_rate
restorecon:  Warning no default label for /sys/kernel/debug/clk/oscillator
restorecon:  Warning no default label for /sys/kernel/debug/clk/oscillator/clk_notifier_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/oscillator/clk_enable_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/oscillator/clk_prepare_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/oscillator/clk_flags
restorecon:  Warning no default label for /sys/kernel/debug/clk/oscillator/clk_phase
restorecon:  Warning no default label for /sys/kernel/debug/clk/oscillator/clk_accuracy
restorecon:  Warning no default label for /sys/kernel/debug/clk/oscillator/clk_rate
restorecon:  Warning no default label for /sys/kernel/debug/clk/audio
restorecon:  Warning no default label for /sys/kernel/debug/clk/audio/clk_notifier_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/audio/clk_enable_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/audio/clk_prepare_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/audio/clk_flags
restorecon:  Warning no default label for /sys/kernel/debug/clk/audio/clk_phase
restorecon:  Warning no default label for /sys/kernel/debug/clk/audio/clk_accuracy
restorecon:  Warning no default label for /sys/kernel/debug/clk/audio/clk_rate
restorecon:  Warning no default label for /sys/kernel/debug/clk/ge2
restorecon:  Warning no default label for /sys/kernel/debug/clk/ge2/clk_notifier_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/ge2/clk_enable_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/ge2/clk_prepare_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/ge2/clk_flags
restorecon:  Warning no default label for /sys/kernel/debug/clk/ge2/clk_phase
restorecon:  Warning no default label for /sys/kernel/debug/clk/ge2/clk_accuracy
restorecon:  Warning no default label for /sys/kernel/debug/clk/ge2/clk_rate
restorecon:  Warning no default label for /sys/kernel/debug/clk/ge1
restorecon:  Warning no default label for /sys/kernel/debug/clk/ge1/clk_notifier_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/ge1/clk_enable_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/ge1/clk_prepare_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/ge1/clk_flags
restorecon:  Warning no default label for /sys/kernel/debug/clk/ge1/clk_phase
restorecon:  Warning no default label for /sys/kernel/debug/clk/ge1/clk_accuracy
restorecon:  Warning no default label for /sys/kernel/debug/clk/ge1/clk_rate
restorecon:  Warning no default label for /sys/kernel/debug/clk/ge0
restorecon:  Warning no default label for /sys/kernel/debug/clk/ge0/clk_notifier_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/ge0/clk_enable_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/ge0/clk_prepare_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/ge0/clk_flags
restorecon:  Warning no default label for /sys/kernel/debug/clk/ge0/clk_phase
restorecon:  Warning no default label for /sys/kernel/debug/clk/ge0/clk_accuracy
restorecon:  Warning no default label for /sys/kernel/debug/clk/ge0/clk_rate
restorecon:  Warning no default label for /sys/kernel/debug/clk/pex1
restorecon:  Warning no default label for /sys/kernel/debug/clk/pex1/clk_notifier_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/pex1/clk_enable_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/pex1/clk_prepare_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/pex1/clk_flags
restorecon:  Warning no default label for /sys/kernel/debug/clk/pex1/clk_phase
restorecon:  Warning no default label for /sys/kernel/debug/clk/pex1/clk_accuracy
restorecon:  Warning no default label for /sys/kernel/debug/clk/pex1/clk_rate
restorecon:  Warning no default label for /sys/kernel/debug/clk/pex2
restorecon:  Warning no default label for /sys/kernel/debug/clk/pex2/clk_notifier_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/pex2/clk_enable_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/pex2/clk_prepare_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/pex2/clk_flags
restorecon:  Warning no default label for /sys/kernel/debug/clk/pex2/clk_phase
restorecon:  Warning no default label for /sys/kernel/debug/clk/pex2/clk_accuracy
restorecon:  Warning no default label for /sys/kernel/debug/clk/pex2/clk_rate
restorecon:  Warning no default label for /sys/kernel/debug/clk/pex3
restorecon:  Warning no default label for /sys/kernel/debug/clk/pex3/clk_notifier_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/pex3/clk_enable_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/pex3/clk_prepare_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/pex3/clk_flags
restorecon:  Warning no default label for /sys/kernel/debug/clk/pex3/clk_phase
restorecon:  Warning no default label for /sys/kernel/debug/clk/pex3/clk_accuracy
restorecon:  Warning no default label for /sys/kernel/debug/clk/pex3/clk_rate
restorecon:  Warning no default label for /sys/kernel/debug/clk/pex0
restorecon:  Warning no default label for /sys/kernel/debug/clk/pex0/clk_notifier_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/pex0/clk_enable_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/pex0/clk_prepare_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/pex0/clk_flags
restorecon:  Warning no default label for /sys/kernel/debug/clk/pex0/clk_phase
restorecon:  Warning no default label for /sys/kernel/debug/clk/pex0/clk_accuracy
restorecon:  Warning no default label for /sys/kernel/debug/clk/pex0/clk_rate
restorecon:  Warning no default label for /sys/kernel/debug/clk/usb3h0
restorecon:  Warning no default label for /sys/kernel/debug/clk/usb3h0/clk_notifier_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/usb3h0/clk_enable_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/usb3h0/clk_prepare_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/usb3h0/clk_flags
restorecon:  Warning no default label for /sys/kernel/debug/clk/usb3h0/clk_phase
restorecon:  Warning no default label for /sys/kernel/debug/clk/usb3h0/clk_accuracy
restorecon:  Warning no default label for /sys/kernel/debug/clk/usb3h0/clk_rate
restorecon:  Warning no default label for /sys/kernel/debug/clk/usb3h1
restorecon:  Warning no default label for /sys/kernel/debug/clk/usb3h1/clk_notifier_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/usb3h1/clk_enable_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/usb3h1/clk_prepare_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/usb3h1/clk_flags
restorecon:  Warning no default label for /sys/kernel/debug/clk/usb3h1/clk_phase
restorecon:  Warning no default label for /sys/kernel/debug/clk/usb3h1/clk_accuracy
restorecon:  Warning no default label for /sys/kernel/debug/clk/usb3h1/clk_rate
restorecon:  Warning no default label for /sys/kernel/debug/clk/usb3d
restorecon:  Warning no default label for /sys/kernel/debug/clk/usb3d/clk_notifier_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/usb3d/clk_enable_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/usb3d/clk_prepare_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/usb3d/clk_flags
restorecon:  Warning no default label for /sys/kernel/debug/clk/usb3d/clk_phase
restorecon:  Warning no default label for /sys/kernel/debug/clk/usb3d/clk_accuracy
restorecon:  Warning no default label for /sys/kernel/debug/clk/usb3d/clk_rate
restorecon:  Warning no default label for /sys/kernel/debug/clk/bm
restorecon:  Warning no default label for /sys/kernel/debug/clk/bm/clk_notifier_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/bm/clk_enable_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/bm/clk_prepare_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/bm/clk_flags
restorecon:  Warning no default label for /sys/kernel/debug/clk/bm/clk_phase
restorecon:  Warning no default label for /sys/kernel/debug/clk/bm/clk_accuracy
restorecon:  Warning no default label for /sys/kernel/debug/clk/bm/clk_rate
restorecon:  Warning no default label for /sys/kernel/debug/clk/crypto0z
restorecon:  Warning no default label for /sys/kernel/debug/clk/crypto0z/clk_notifier_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/crypto0z/clk_enable_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/crypto0z/clk_prepare_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/crypto0z/clk_flags
restorecon:  Warning no default label for /sys/kernel/debug/clk/crypto0z/clk_phase
restorecon:  Warning no default label for /sys/kernel/debug/clk/crypto0z/clk_accuracy
restorecon:  Warning no default label for /sys/kernel/debug/clk/crypto0z/clk_rate
restorecon:  Warning no default label for /sys/kernel/debug/clk/sata0
restorecon:  Warning no default label for /sys/kernel/debug/clk/sata0/clk_notifier_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/sata0/clk_enable_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/sata0/clk_prepare_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/sata0/clk_flags
restorecon:  Warning no default label for /sys/kernel/debug/clk/sata0/clk_phase
restorecon:  Warning no default label for /sys/kernel/debug/clk/sata0/clk_accuracy
restorecon:  Warning no default label for /sys/kernel/debug/clk/sata0/clk_rate
restorecon:  Warning no default label for /sys/kernel/debug/clk/crypto1z
restorecon:  Warning no default label for /sys/kernel/debug/clk/crypto1z/clk_notifier_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/crypto1z/clk_enable_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/crypto1z/clk_prepare_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/crypto1z/clk_flags
restorecon:  Warning no default label for /sys/kernel/debug/clk/crypto1z/clk_phase
restorecon:  Warning no default label for /sys/kernel/debug/clk/crypto1z/clk_accuracy
restorecon:  Warning no default label for /sys/kernel/debug/clk/crypto1z/clk_rate
restorecon:  Warning no default label for /sys/kernel/debug/clk/sdio
restorecon:  Warning no default label for /sys/kernel/debug/clk/sdio/clk_notifier_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/sdio/clk_enable_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/sdio/clk_prepare_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/sdio/clk_flags
restorecon:  Warning no default label for /sys/kernel/debug/clk/sdio/clk_phase
restorecon:  Warning no default label for /sys/kernel/debug/clk/sdio/clk_accuracy
restorecon:  Warning no default label for /sys/kernel/debug/clk/sdio/clk_rate
restorecon:  Warning no default label for /sys/kernel/debug/clk/usb2
restorecon:  Warning no default label for /sys/kernel/debug/clk/usb2/clk_notifier_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/usb2/clk_enable_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/usb2/clk_prepare_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/usb2/clk_flags
restorecon:  Warning no default label for /sys/kernel/debug/clk/usb2/clk_phase
restorecon:  Warning no default label for /sys/kernel/debug/clk/usb2/clk_accuracy
restorecon:  Warning no default label for /sys/kernel/debug/clk/usb2/clk_rate
restorecon:  Warning no default label for /sys/kernel/debug/clk/crypto1
restorecon:  Warning no default label for /sys/kernel/debug/clk/crypto1/clk_notifier_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/crypto1/clk_enable_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/crypto1/clk_prepare_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/crypto1/clk_flags
restorecon:  Warning no default label for /sys/kernel/debug/clk/crypto1/clk_phase
restorecon:  Warning no default label for /sys/kernel/debug/clk/crypto1/clk_accuracy
restorecon:  Warning no default label for /sys/kernel/debug/clk/crypto1/clk_rate
restorecon:  Warning no default label for /sys/kernel/debug/clk/xor0
restorecon:  Warning no default label for /sys/kernel/debug/clk/xor0/clk_notifier_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/xor0/clk_enable_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/xor0/clk_prepare_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/xor0/clk_flags
restorecon:  Warning no default label for /sys/kernel/debug/clk/xor0/clk_phase
restorecon:  Warning no default label for /sys/kernel/debug/clk/xor0/clk_accuracy
restorecon:  Warning no default label for /sys/kernel/debug/clk/xor0/clk_rate
restorecon:  Warning no default label for /sys/kernel/debug/clk/crypto0
restorecon:  Warning no default label for /sys/kernel/debug/clk/crypto0/clk_notifier_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/crypto0/clk_enable_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/crypto0/clk_prepare_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/crypto0/clk_flags
restorecon:  Warning no default label for /sys/kernel/debug/clk/crypto0/clk_phase
restorecon:  Warning no default label for /sys/kernel/debug/clk/crypto0/clk_accuracy
restorecon:  Warning no default label for /sys/kernel/debug/clk/crypto0/clk_rate
restorecon:  Warning no default label for /sys/kernel/debug/clk/tdm
restorecon:  Warning no default label for /sys/kernel/debug/clk/tdm/clk_notifier_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/tdm/clk_enable_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/tdm/clk_prepare_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/tdm/clk_flags
restorecon:  Warning no default label for /sys/kernel/debug/clk/tdm/clk_phase
restorecon:  Warning no default label for /sys/kernel/debug/clk/tdm/clk_accuracy
restorecon:  Warning no default label for /sys/kernel/debug/clk/tdm/clk_rate
restorecon:  Warning no default label for /sys/kernel/debug/clk/xor1
restorecon:  Warning no default label for /sys/kernel/debug/clk/xor1/clk_notifier_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/xor1/clk_enable_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/xor1/clk_prepare_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/xor1/clk_flags
restorecon:  Warning no default label for /sys/kernel/debug/clk/xor1/clk_phase
restorecon:  Warning no default label for /sys/kernel/debug/clk/xor1/clk_accuracy
restorecon:  Warning no default label for /sys/kernel/debug/clk/xor1/clk_rate
restorecon:  Warning no default label for /sys/kernel/debug/clk/sata1
restorecon:  Warning no default label for /sys/kernel/debug/clk/sata1/clk_notifier_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/sata1/clk_enable_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/sata1/clk_prepare_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/sata1/clk_flags
restorecon:  Warning no default label for /sys/kernel/debug/clk/sata1/clk_phase
restorecon:  Warning no default label for /sys/kernel/debug/clk/sata1/clk_accuracy
restorecon:  Warning no default label for /sys/kernel/debug/clk/sata1/clk_rate
restorecon:  Warning no default label for /sys/kernel/debug/clk/nand
restorecon:  Warning no default label for /sys/kernel/debug/clk/nand/clk_notifier_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/nand/clk_enable_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/nand/clk_prepare_count
restorecon:  Warning no default label for /sys/kernel/debug/clk/nand/clk_flags
restorecon:  Warning no default label for /sys/kernel/debug/clk/nand/clk_phase
restorecon:  Warning no default label for /sys/kernel/debug/clk/nand/clk_accuracy
restorecon:  Warning no default label for /sys/kernel/debug/clk/nand/clk_rate
restorecon:  Warning no default label for /sys/kernel/debug/clk/clk_orphan_dump
restorecon:  Warning no default label for /sys/kernel/debug/clk/clk_orphan_summary
restorecon:  Warning no default label for /sys/kernel/debug/clk/clk_dump
restorecon:  Warning no default label for /sys/kernel/debug/clk/clk_summary
restorecon:  Warning no default label for /sys/kernel/debug/pm_genpd
restorecon:  Warning no default label for /sys/kernel/debug/pm_genpd/pm_genpd_summary
restorecon:  Warning no default label for /sys/kernel/debug/cma
restorecon:  Warning no default label for /sys/kernel/debug/cma/cma-0
restorecon:  Warning no default label for /sys/kernel/debug/cma/cma-0/bitmap
restorecon:  Warning no default label for /sys/kernel/debug/cma/cma-0/maxchunk
restorecon:  Warning no default label for /sys/kernel/debug/cma/cma-0/used
restorecon:  Warning no default label for /sys/kernel/debug/cma/cma-0/order_per_bit
restorecon:  Warning no default label for /sys/kernel/debug/cma/cma-0/count
restorecon:  Warning no default label for /sys/kernel/debug/cma/cma-0/base_pfn
restorecon:  Warning no default label for /sys/kernel/debug/cma/cma-0/free
restorecon:  Warning no default label for /sys/kernel/debug/cma/cma-0/alloc
restorecon:  Warning no default label for /sys/kernel/debug/zswap
restorecon:  Warning no default label for /sys/kernel/debug/zswap/stored_pages
restorecon:  Warning no default label for /sys/kernel/debug/zswap/pool_total_size
restorecon:  Warning no default label for /sys/kernel/debug/zswap/duplicate_entry
restorecon:  Warning no default label for /sys/kernel/debug/zswap/written_back_pages
restorecon:  Warning no default label for /sys/kernel/debug/zswap/reject_compress_poor
restorecon:  Warning no default label for /sys/kernel/debug/zswap/reject_kmemcache_fail
restorecon:  Warning no default label for /sys/kernel/debug/zswap/reject_alloc_fail
restorecon:  Warning no default label for /sys/kernel/debug/zswap/reject_reclaim_fail
restorecon:  Warning no default label for /sys/kernel/debug/zswap/pool_limit_hit
restorecon:  Warning no default label for /sys/kernel/debug/fault_around_bytes
restorecon:  Warning no default label for /sys/kernel/debug/kprobes
restorecon:  Warning no default label for /sys/kernel/debug/kprobes/blacklist
restorecon:  Warning no default label for /sys/kernel/debug/kprobes/enabled
restorecon:  Warning no default label for /sys/kernel/debug/kprobes/list
restorecon:  Warning no default label for /sys/kernel/debug/sleep_time
restorecon:  Warning no default label for /sys/kernel/debug/suspend_stats
restorecon:  Warning no default label for /sys/kernel/debug/pm_qos
restorecon:  Warning no default label for /sys/kernel/debug/pm_qos/memory_bandwidth
restorecon:  Warning no default label for /sys/kernel/debug/pm_qos/network_throughput
restorecon:  Warning no default label for /sys/kernel/debug/pm_qos/network_latency
restorecon:  Warning no default label for /sys/kernel/debug/pm_qos/cpu_dma_latency
restorecon:  Warning no default label for /sys/kernel/debug/sched_features
restorecon:  Warning no default label for /sys/kernel/debug/hid
restorecon:  Warning no default label for /sys/kernel/debug/cleancache
restorecon:  Warning no default label for /sys/kernel/debug/cleancache/invalidates
restorecon:  Warning no default label for /sys/kernel/debug/cleancache/puts
restorecon:  Warning no default label for /sys/kernel/debug/cleancache/failed_gets
restorecon:  Warning no default label for /sys/kernel/debug/cleancache/succ_gets
restorecon:  Warning no default label for /sys/kernel/debug/frontswap
restorecon:  Warning no default label for /sys/kernel/debug/frontswap/invalidates
restorecon:  Warning no default label for /sys/kernel/debug/frontswap/failed_stores
restorecon:  Warning no default label for /sys/kernel/debug/frontswap/succ_stores
restorecon:  Warning no default label for /sys/kernel/debug/frontswap/loads
restorecon:  Warning no default label for /sys/kernel/debug/memblock
restorecon:  Warning no default label for /sys/kernel/debug/memblock/reserved
restorecon:  Warning no default label for /sys/kernel/debug/memblock/memory
restorecon:  Warning no default label for /sys/kernel/debug/extfrag
restorecon:  Warning no default label for /sys/kernel/debug/extfrag/extfrag_index
restorecon:  Warning no default label for /sys/kernel/debug/extfrag/unusable_index
restorecon:  Warning no default label for /sys/kernel/debug/mvebu-mbus
restorecon:  Warning no default label for /sys/kernel/debug/mvebu-mbus/devices
restorecon:  Warning no default label for /sys/kernel/debug/mvebu-mbus/sdram
restorecon:  Warning no default label for /sys/kernel/debug/dynamic_debug
restorecon:  Warning no default label for /sys/kernel/debug/dynamic_debug/control
restorecon:  Warning no default label for /sys/kernel/debug/ras
restorecon:  Warning no default label for /sys/kernel/debug/ras/daemon_active
restorecon:  Warning no default label for /sys/kernel/debug/usb
restorecon:  Warning no default label for /sys/kernel/debug/usb/uhci
restorecon:  Warning no default label for /sys/kernel/debug/usb/ohci
restorecon:  Warning no default label for /sys/kernel/debug/usb/ehci
restorecon:  Warning no default label for /sys/kernel/debug/usb/ehci/f1058000.usb
restorecon:  Warning no default label for /sys/kernel/debug/usb/ehci/f1058000.usb/registers
restorecon:  Warning no default label for /sys/kernel/debug/usb/ehci/f1058000.usb/periodic
restorecon:  Warning no default label for /sys/kernel/debug/usb/ehci/f1058000.usb/bandwidth
restorecon:  Warning no default label for /sys/kernel/debug/usb/ehci/f1058000.usb/async
restorecon:  Warning no default label for /sys/kernel/debug/usb/usbmon
restorecon:  Warning no default label for /sys/kernel/debug/usb/usbmon/5s
restorecon:  Warning no default label for /sys/kernel/debug/usb/usbmon/5u
restorecon:  Warning no default label for /sys/kernel/debug/usb/usbmon/5t
restorecon:  Warning no default label for /sys/kernel/debug/usb/usbmon/4s
restorecon:  Warning no default label for /sys/kernel/debug/usb/usbmon/4u
restorecon:  Warning no default label for /sys/kernel/debug/usb/usbmon/4t
restorecon:  Warning no default label for /sys/kernel/debug/usb/usbmon/3s
restorecon:  Warning no default label for /sys/kernel/debug/usb/usbmon/3u
restorecon:  Warning no default label for /sys/kernel/debug/usb/usbmon/3t
restorecon:  Warning no default label for /sys/kernel/debug/usb/usbmon/2s
restorecon:  Warning no default label for /sys/kernel/debug/usb/usbmon/2u
restorecon:  Warning no default label for /sys/kernel/debug/usb/usbmon/2t
restorecon:  Warning no default label for /sys/kernel/debug/usb/usbmon/1s
restorecon:  Warning no default label for /sys/kernel/debug/usb/usbmon/1u
restorecon:  Warning no default label for /sys/kernel/debug/usb/usbmon/1t
restorecon:  Warning no default label for /sys/kernel/debug/usb/usbmon/0s
restorecon:  Warning no default label for /sys/kernel/debug/usb/usbmon/0u
restorecon:  Warning no default label for /sys/kernel/debug/usb/devices
restorecon:  Warning no default label for /sys/kernel/debug/dma_buf
restorecon:  Warning no default label for /sys/kernel/debug/dma_buf/bufinfo
restorecon:  Warning no default label for /sys/kernel/debug/pwm
restorecon:  Warning no default label for /sys/kernel/debug/gpio
restorecon:  Warning no default label for /sys/kernel/debug/regmap
restorecon:  Warning no default label for /sys/kernel/debug/wakeup_sources
restorecon:  Warning no default label for /sys/kernel/debug/bdi
restorecon:  Warning no default label for /sys/kernel/debug/bdi/8:0
restorecon:  Warning no default label for /sys/kernel/debug/bdi/8:0/stats
restorecon:  Warning no default label for /sys/kernel/debug/bdi/179:0
restorecon:  Warning no default label for /sys/kernel/debug/bdi/179:0/stats
restorecon:  Warning no default label for /sys/kernel/debug/opp
restorecon:  Warning no default label for /sys/kernel/debug/regulator
restorecon:  Warning no default label for /sys/kernel/debug/regulator/3P3V
restorecon:  Warning no default label for /sys/kernel/debug/regulator/3P3V/bypass_count
restorecon:  Warning no default label for /sys/kernel/debug/regulator/3P3V/open_count
restorecon:  Warning no default label for /sys/kernel/debug/regulator/3P3V/use_count
restorecon:  Warning no default label for /sys/kernel/debug/regulator/reg-dummy-regulator-dummy
restorecon:  Warning no default label for /sys/kernel/debug/regulator/reg-dummy-regulator-dummy/bypass_count
restorecon:  Warning no default label for /sys/kernel/debug/regulator/reg-dummy-regulator-dummy/open_count
restorecon:  Warning no default label for /sys/kernel/debug/regulator/reg-dummy-regulator-dummy/use_count
restorecon:  Warning no default label for /sys/kernel/debug/regulator/regulator_summary
restorecon:  Warning no default label for /sys/kernel/debug/regulator/supply_map
restorecon:  Warning no default label for /sys/kernel/debug/pinctrl
restorecon:  Warning no default label for /sys/kernel/debug/pinctrl/f1018000.pinctrl
restorecon:  Warning no default label for /sys/kernel/debug/pinctrl/f1018000.pinctrl/pinconf-config
restorecon:  Warning no default label for /sys/kernel/debug/pinctrl/f1018000.pinctrl/pinconf-groups
restorecon:  Warning no default label for /sys/kernel/debug/pinctrl/f1018000.pinctrl/pinconf-pins
restorecon:  Warning no default label for /sys/kernel/debug/pinctrl/f1018000.pinctrl/pinmux-pins
restorecon:  Warning no default label for /sys/kernel/debug/pinctrl/f1018000.pinctrl/pinmux-functions
restorecon:  Warning no default label for /sys/kernel/debug/pinctrl/f1018000.pinctrl/gpio-ranges
restorecon:  Warning no default label for /sys/kernel/debug/pinctrl/f1018000.pinctrl/pingroups
restorecon:  Warning no default label for /sys/kernel/debug/pinctrl/f1018000.pinctrl/pins
restorecon:  Warning no default label for /sys/kernel/debug/pinctrl/pinctrl-handles
restorecon:  Warning no default label for /sys/kernel/debug/pinctrl/pinctrl-maps
restorecon:  Warning no default label for /sys/kernel/debug/pinctrl/pinctrl-devices
restorecon reset /sys/fs/cgroup context system_u:object_r:tmpfs_t:s0->system_u:object_r:cgroup_t:s0
restorecon set context /sys/fs/cgroup->system_u:object_r:cgroup_t:s0 failed:'Read-only file system'
restorecon reset /usr/sbin/ldconfig context system_u:object_r:bin_t:s0->system_u:object_r:ldconfig_exec_t:s0
restorecon reset /usr/sbin/sln context system_u:object_r:ldconfig_exec_t:s0->system_u:object_r:bin_t:s0
restorecon reset /usr/libexec/cockpit-ssh context system_u:object_r:cockpit_ws_exec_t:s0->system_u:object_r:bin_t:s0
restorecon:  Warning no default label for /run/lock/subsys
restorecon:  Warning no default label for /run/initramfs
restorecon:  Warning no default label for /run/initramfs/rwtab
restorecon:  Warning no default label for /run/initramfs/state
restorecon:  Warning no default label for /run/initramfs/state/var
restorecon:  Warning no default label for /run/initramfs/state/var/lib
restorecon:  Warning no default label for /run/initramfs/state/var/lib/dhclient
restorecon:  Warning no default label for /run/initramfs/state/etc
restorecon:  Warning no default label for /run/initramfs/state/etc/sysconfig
restorecon:  Warning no default label for /run/initramfs/state/etc/sysconfig/network-scripts
restorecon:  Warning no default label for /run/initramfs/log
restorecon:  Warning no default label for /tmp/.XIM-unix
restorecon:  Warning no default label for /tmp/.Test-unix
restorecon:  Warning no default label for /tmp/systemd-private-d5de54d7c8e148ff8dffc9010a4e4957-httpd.service-hCsjf7
restorecon:  Warning no default label for /tmp/systemd-private-d5de54d7c8e148ff8dffc9010a4e4957-httpd.service-hCsjf7/tmp
restorecon:  Warning no default label for /tmp/systemd-private-d5de54d7c8e148ff8dffc9010a4e4957-httpd.service-hCsjf7/tmp/httpd_lua_shm.840
restorecon:  Warning no default label for /tmp/systemd-private-d5de54d7c8e148ff8dffc9010a4e4957-named.service-kz2quw
restorecon:  Warning no default label for /tmp/systemd-private-d5de54d7c8e148ff8dffc9010a4e4957-named.service-kz2quw/tmp
restorecon:  Warning no default label for /tmp/systemd-private-d5de54d7c8e148ff8dffc9010a4e4957-ntpd.service-QotAL0
restorecon:  Warning no default label for /tmp/systemd-private-d5de54d7c8e148ff8dffc9010a4e4957-ntpd.service-QotAL0/tmp
restorecon:  Warning no default label for /tmp/ansible_gHRKSW
restorecon:  Warning no default label for /tmp/ansible_gHRKSW/ansible_modlib.zip
restorecon:  Warning no default label for /tmp/ansible_gHRKSW/ansible_module_dnf.py
[root@baal ~]# setenforce 1
[root@baal ~]# systemctl restart postfix
Job for postfix.service failed because the control process exited with error code.
See "systemctl status postfix.service" and "journalctl -xe" for details.
[root@baal ~]# systemctl status postfix
● postfix.service - Postfix Mail Transport Agent
   Loaded: loaded (/usr/lib/systemd/system/postfix.service; enabled; vendor preset: disabled)
   Active: failed (Result: exit-code) since Tue 2016-11-01 15:54:50 UTC; 7s ago
  Process: 29737 ExecStart=/usr/sbin/postfix start (code=exited, status=1/FAILURE)
  Process: 29733 ExecStartPre=/usr/libexec/postfix/chroot-update (code=exited, status=0/SUCCESS)
  Process: 29731 ExecStartPre=/usr/libexec/postfix/aliasesdb (code=exited, status=0/SUCCESS)
 Main PID: 13795 (code=killed, signal=TERM)

Nov 01 15:54:48 baal.ausil.us systemd[1]: Starting Postfix Mail Transport Agent...
Nov 01 15:54:49 baal.ausil.us postfix[29737]: /usr/libexec/postfix/postfix-script: line 122: /dev/null: Permission denied
Nov 01 15:54:50 baal.ausil.us systemd[1]: postfix.service: Control process exited, code=exited status=1
Nov 01 15:54:50 baal.ausil.us systemd[1]: Failed to start Postfix Mail Transport Agent.
Nov 01 15:54:50 baal.ausil.us systemd[1]: postfix.service: Unit entered failed state.
Nov 01 15:54:50 baal.ausil.us systemd[1]: postfix.service: Failed with result 'exit-code'.
[root@baal ~]#

Comment 5 Dennis Gilmore 2016-11-01 16:00:05 UTC
I will also add that I have hit it on every single 32 bit arm machine I have running Fedora 25

Comment 6 Frank Ansari 2016-12-17 16:57:59 UTC
Seems I have the same or similar problem. See #1403186. 

I have now spent hours with this postfix-selinux-/dev/null issue without any solution so far (excpet putting selinux in permissive mode).

Comment 7 Frank Ansari 2016-12-17 16:59:42 UTC
And also #1398007.

Comment 8 Laurent Jacquot 2017-01-09 19:08:17 UTC
same issue here: upgraded from f24 and then postfix cannot access /dev/null anymore when setenforce = 1

[root@jack selinux]# cat /etc/fedora-release 
Fedora release 25 (Twenty Five)
[root@jack selinux]# uname -r
4.8.15-300.fc25.x86_64


I did a restorecon -R -v / and rebooted also after a touch /.autorelabel

[root@jack selinux]# rpm -qa |grep selinux-policy
selinux-policy-devel-3.13.1-225.3.fc25.noarch
selinux-policy-targeted-3.13.1-225.3.fc25.noarch
selinux-policy-3.13.1-225.3.fc25.noarch

[root@jack selinux]# ls -lZ /dev/null
crw-rw-rw-. 1 root root system_u:object_r:null_device_t:s0 1, 3  8 janv. 22:14 /dev/null

but postfix is convinced that /dev/null is unlabeled, and wants meto insert the following semodule 

[root@jack selinux]# cat my-postfixscript.te

module my-postfixscript 1.0;

require {
	type postfix_master_t;
	type unlabeled_t;
	class file { create open write };
	class dir { add_name search write };
}

#============= postfix_master_t ==============

#!!!! This avc is allowed in the current policy
allow postfix_master_t unlabeled_t:dir { add_name search write };

#!!!! This avc is allowed in the current policy
allow postfix_master_t unlabeled_t:file create;

#!!!! The file '/dev/null' is mislabeled on your system.  
#!!!! Fix with $ restorecon -R -v /dev/null
allow postfix_master_t unlabeled_t:file { open write };



Here after the systemctl logs:

[root@jack selinux]# setenforce 1
[root@jack selinux]# systemctl start postfix.service 
Job for postfix.service failed because the control process exited with error code.
See "systemctl status postfix.service" and "journalctl -xe" for details.
[root@jack selinux]# systemctl status postfix.service
● postfix.service - Postfix Mail Transport Agent
   Loaded: loaded (/usr/lib/systemd/system/postfix.service; enabled; vendor preset: disabled)
   Active: failed (Result: exit-code) since lun. 2017-01-09 19:45:39 CET; 7s ago
  Process: 21631 ExecStop=/usr/sbin/postfix stop (code=exited, status=0/SUCCESS)
  Process: 21659 ExecStart=/usr/sbin/postfix start (code=exited, status=1/FAILURE)
  Process: 21657 ExecStartPre=/usr/libexec/postfix/chroot-update (code=exited, status=0/SUCCESS)
  Process: 21653 ExecStartPre=/usr/libexec/postfix/aliasesdb (code=exited, status=0/SUCCESS)
 Main PID: 4988 (code=killed, signal=TERM)

janv. 09 19:45:37 jack systemd[1]: Starting Postfix Mail Transport Agent...
janv. 09 19:45:38 jack postfix[21659]: /usr/libexec/postfix/postfix-script: line 122: /dev/null: Permission denied
janv. 09 19:45:39 jack systemd[1]: postfix.service: Control process exited, code=exited status=1
janv. 09 19:45:39 jack systemd[1]: Failed to start Postfix Mail Transport Agent.
janv. 09 19:45:39 jack systemd[1]: postfix.service: Unit entered failed state.
janv. 09 19:45:39 jack systemd[1]: postfix.service: Failed with result 'exit-code'.

Comment 9 Frank Ansari 2017-01-10 08:49:25 UTC
It would interest me whether you did the same thing as me: resinstall your system with tarballs where you did not use the option --selinux.

I have experienced this and described this here: #1403186.

After I reinstalled Fedora 25 postfix could be started again with SELinux enforcing.

Backup and restore with tarballs from a fresh installation lead to the situation as you decribed it: postfix will  not start up when SELinux is in enforcing mode.

On the ohter hand: when I do the tar backup with the --selinux option and also unpack it wiht this option then it is working.

In my case I ran into this situation when I migrated my system from one hard disk to another.

Comment 10 Laurent Jacquot 2017-01-10 19:24:03 UTC
hello
no I just upgraded my system and now am forced to disable selinux to have mails, which is quite risky.

To my understanding it can be a bug in selinux (but why postifx in particular) or postfix is kind of chrooted in an environnement by systemctl where /dev is not populated with a correctly labeled /dev/null file => postfix tries to access it an get denied the operation.

After more digging, it seems PrivateDevices=true directive in the /usr/lib/systemd/system/postfix.service that is to be blamed. If set to false or commented postfix starts!
Filing a new bug against systemd!

Comment 11 Laurent Jacquot 2017-01-10 19:37:55 UTC
opened #1411942 against systemd

Comment 12 Frank Ansari 2017-01-11 09:28:51 UTC
Thank you for this hint. I have checked my system and found PrivateDevices=true.

Seems that this feature was added with #1350941. Unfortunatley the error messages from SELinux do not give any hint to this chroot stuff.

So in some situations this does not work correctly anymore and it would be interesting to know what can be done to make it work again. In my case it was to use the --selinux option while creating and extracting the tarball.

What is wrong in your case I don't know.

Comment 13 Mike Goodwin 2017-06-29 16:34:02 UTC
As noted here (dropping this comment for posterity): https://bugzilla.redhat.com/show_bug.cgi?id=1412696


What's really happening with --selinux untarring is that the /* folders are labeled properly.

The problem is that by the time relabling takes place, many folders underneath / are mounted and thus the underlying folder structure is unaffected by `restorecon` or autorelabling. 


In the above ticket the fix was to bind mount / with:

   sudo mount -o x-mount.mkdir --bind / /tmp/foo

and then fix the contexts based on what they are after mounting:

   sudo chcon --reference=/dev /tmp/foo/dev

For me since there were so many incorrectly labeled:
 
   cd /tmp/foo
   ls -lZd * | awk '{ print $NF }' | while read -r dir; do chcon --reference=/${dir} /tmp/foo/${dir}; done

Comment 14 Fedora Update System 2017-08-14 15:22:17 UTC
selinux-policy-3.13.1-225.20.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-837f04c39a

Comment 15 Fedora Update System 2017-08-15 03:51:19 UTC
selinux-policy-3.13.1-225.20.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-837f04c39a

Comment 16 Fedora Update System 2017-08-27 06:22:18 UTC
selinux-policy-3.13.1-225.20.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2017-09-01 09:35:00 UTC
selinux-policy-3.13.1-225.22.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5d4f3635ee

Comment 18 Fedora Update System 2017-09-03 06:25:05 UTC
selinux-policy-3.13.1-225.22.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5d4f3635ee

Comment 19 Fedora Update System 2017-09-07 23:20:25 UTC
selinux-policy-3.13.1-225.22.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2017-10-10 12:00:49 UTC
selinux-policy-3.13.1-225.23.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-4d00e4db6a

Comment 21 Fedora Update System 2017-10-11 04:22:22 UTC
selinux-policy-3.13.1-225.23.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4d00e4db6a

Comment 22 Fedora Update System 2017-11-01 16:39:31 UTC
selinux-policy-3.13.1-225.23.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 FrankS 2017-12-24 11:15:26 UTC
After upgrading to Fedora 27 the issue still persists and the recommendation of Comment 10 is applicable as a solution or workaround.
So for all looking for a quick resolution:
comment #PrivateDevices=true in /usr/lib/systemd/system/postfix.service and perform 
sudo systemctl daemon-reload
after which postfix starts succesfull:
sudo systemctl start postfix


Note You need to log in before you can comment on or make changes to this bug.